import sys
lib_dynload="/opt/local/Library/Frameworks/Python.framework/Versions/3.12/lib/python3.12/lib-dynload"
site_packages="/opt/local/Library/Frameworks/Python.framework/Versions/3.12/lib/python3.12/site-packages"
for i in range(len(sys.path)):
    if sys.path[i] == lib_dynload or sys.path[i] == site_packages:
        sys.path.insert(i, site_packages+"/readline")
        break
